Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api
Class ActionType

    java.lang.Object
      com.bea.wli.worklist.api.ActionType

All Implemented Interfaces:
  Serializable

public class ActionType
extends Object
implements Serializable

The action type class describes all the actions possible on the worklist. You can refer to this class to determine what is the action type that corresponds to the action type value stored in the archiving tables.

See Also:
  Serialized Form

Field Summary
`static ActionType` | `ABORT`
`static ActionType` | `ADD_LISTENER`
`static ActionType` | `ASSIGN`
`static ActionType` | `CLAIM`
`static ActionType` | `CLAIM_EXPIRE`
`static ActionType` | `COMPLETE`
`static ActionType` | `CREATE`
`static ActionType` | `EXPIRE`
`static ActionType` | `REMOVE_LISTENER`
`static ActionType` | `RESUME`
`static ActionType` | `RETURN`
`static ActionType` | `START`
`static ActionType` | `STOP`
`static ActionType` | `SUSPEND`
`static ActionType` | `UPDATE_CAN_BE_ABORTED`
`static ActionType` | `UPDATE_CAN_BE_REASSIGNED`
`static ActionType` | `UPDATE_CAN_BE_RETURNED`
`static ActionType` | `UPDATE_CLAIM_DATE`
`static ActionType` | `UPDATE_COMMENT`
`static ActionType` | `UPDATE_EXPIRATION_DATE`
`static ActionType` | `UPDATE_OWNER`
`static ActionType` | `UPDATE_PRIORITY`
`static ActionType` | `UPDATE_REQUEST`
`static ActionType` | `UPDATE_RESPONSE`

Method Summary
`static ActionType` | `getActionType(Integer value)`
`static ActionType` | `getActionType(String value)`
`Integer` | `getValue()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CREATE

    public static final ActionType CREATE

### ASSIGN

    public static final ActionType ASSIGN

### CLAIM

    public static final ActionType CLAIM

### SUSPEND

    public static final ActionType SUSPEND

### RESUME

    public static final ActionType RESUME

### COMPLETE

    public static final ActionType COMPLETE

### ABORT

    public static final ActionType ABORT

### RETURN

    public static final ActionType RETURN

### START

    public static final ActionType START

### STOP

    public static final ActionType STOP

### UPDATE_COMMENT

    public static final ActionType UPDATE_COMMENT

### UPDATE_PRIORITY

    public static final ActionType UPDATE_PRIORITY

### UPDATE_EXPIRATION_DATE

    public static final ActionType UPDATE_EXPIRATION_DATE

### UPDATE_CLAIM_DATE

    public static final ActionType UPDATE_CLAIM_DATE

### UPDATE_OWNER

    public static final ActionType UPDATE_OWNER

### UPDATE_CAN_BE_REASSIGNED

    public static final ActionType UPDATE_CAN_BE_REASSIGNED

### UPDATE_CAN_BE_RETURNED

    public static final ActionType UPDATE_CAN_BE_RETURNED

### UPDATE_CAN_BE_ABORTED

    public static final ActionType UPDATE_CAN_BE_ABORTED

### UPDATE_REQUEST

    public static final ActionType UPDATE_REQUEST

### UPDATE_RESPONSE

    public static final ActionType UPDATE_RESPONSE

### ADD_LISTENER

    public static final ActionType ADD_LISTENER

### REMOVE_LISTENER

    public static final ActionType REMOVE_LISTENER

### CLAIM_EXPIRE

    public static final ActionType CLAIM_EXPIRE

### EXPIRE

    public static final ActionType EXPIRE

Method Detail

### toString

    public String toString()

### getValue

    public Integer getValue()

### getActionType

    public static ActionType getActionType(Integer value)

### getActionType

    public static ActionType getActionType(String value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD